For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
            • GETGet Order
            • PUTUpdate Order
            • DELArchive Order
            • GETGet Count of Orders
            • GETList Orders
            • POSTCreate Order
            • DELDelete All Orders
              • GETList Order Shipping Addresses
              • GETGet Shipping Address
              • PUTUpdate Shipping Address
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrdersOrder Shipping Addresses

List Order Shipping Addresses

GET
https://api.bigcommerce.com/stores/:store_hash/v2/orders/:order_id/shipping_addresses
GET
/stores/:store_hash/v2/orders/:order_id/shipping_addresses
$curl https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200response
1[
2 {
3 "base_cost": "12.9900",
4 "base_handling_cost": "0.0000",
5 "city": "San Antonio",
6 "company": "Acme Pty Ltd",
7 "cost_ex_tax": "12.0000",
8 "cost_inc_tax": "12.9900",
9 "cost_tax": "0.9900",
10 "cost_tax_class_id": 0,
11 "country": "United States",
12 "country_iso2": "US",
13 "email": "janedoe@example.com",
14 "first_name": "Trishy",
15 "form_fields": [],
16 "handling_cost_ex_tax": "0.0000",
17 "handling_cost_inc_tax": "0.0000",
18 "handling_cost_tax": "0.0000",
19 "handling_cost_tax_class_id": 0,
20 "id": 132,
21 "items_shipped": 2,
22 "items_total": 2,
23 "last_name": "Test",
24 "order_id": 229,
25 "phone": "",
26 "shipping_method": "None",
27 "shipping_quotes": {
28 "url": "https://api.bigcommerce.com/stores/{store_hash}/v2/orders/229/shippingaddresses/132/shippingquotes",
29 "resource": "/orders/229/shippingaddresses/132/shippingquotes"
30 },
31 "shipping_zone_id": 1,
32 "shipping_zone_name": "United States -1",
33 "state": "Texas",
34 "street_1": "666 Sussex St",
35 "street_2": "",
36 "zip": "78251"
37 },
38 {
39 "base_cost": "12.9900",
40 "base_handling_cost": "0.0000",
41 "city": "Austin",
42 "company": "",
43 "cost_ex_tax": "12.0000",
44 "cost_inc_tax": "12.9900",
45 "cost_tax": "0.9900",
46 "cost_tax_class_id": 0,
47 "country": "United States",
48 "country_iso2": "US",
49 "email": "janedoe@example.com",
50 "first_name": "Jane",
51 "form_fields": [],
52 "handling_cost_ex_tax": "0.0000",
53 "handling_cost_inc_tax": "0.0000",
54 "handling_cost_tax": "0.0000",
55 "handling_cost_tax_class_id": 0,
56 "id": 133,
57 "items_shipped": 0,
58 "items_total": 0,
59 "last_name": "Doe",
60 "order_id": 229,
61 "phone": "",
62 "shipping_method": "None",
63 "shipping_quotes": {
64 "url": "https://api.bigcommerce.com/stores/{store_hash}/v2/orders/229/shippingaddresses/133/shippingquotes",
65 "resource": "/orders/229/shippingaddresses/133/shippingquotes"
66 },
67 "shipping_zone_id": 1,
68 "shipping_zone_name": "United States -1",
69 "state": "Texas",
70 "street_1": "555 Main Street",
71 "street_2": "",
72 "zip": "78751"
73 }
74]

Get all shipping addresses on an order using the order_id.

Returned in the response is shipping_quotes object. Please use the Get Shipping Quotes Endpoint. Using the response will return a 204 for the shipping quote.

Was this page helpful?
Previous

Delete Order Shipment

Next

Get Shipping Address

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired
ID of the order.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pagedoubleOptionalDefaults to 1
The page to return in the response.
limitdoubleOptionalDefaults to 50
Number of results to return.

Response

base_coststring

The base value of the order’s items. (Float, Float-As-String, Integer)

base_handling_coststring

The base handling charge. The value can’t be negative. (Float, Float-As-String, Integer)

citystring
companystring
cost_ex_taxstring

The value of the order’s items, excluding tax. (Float, Float-As-String, Integer)

cost_inc_taxstring

The value of the order’s items, including tax. (Float, Float-As-String, Integer)

cost_taxstring

The tax amount on the order. (Float, Float-As-String, Integer)

cost_tax_class_idinteger

The ID of the tax class applied to the product. (NOTE: Value ignored if automatic tax is enabled.)

countrystring
country_iso2string

2-letter ISO Alpha-2 code for the country.

emailstring

Recipient’s email address.

first_namestring
form_fieldslist of objects
handling_cost_ex_taxstring

The handling charge, excluding tax. The value can’t be negative. (Float, Float-As-String, Integer)

handling_cost_inc_taxstring

The handling charge, including tax. The value can’t be negative. (Float, Float-As-String, Integer)

handling_cost_taxstring
handling_cost_tax_class_idinteger

A read-only value. Do not attempt to set or modify this value in a POST or PUT operation. (NOTE: Value ignored if automatic tax is enabled on the store.)

idinteger
ID of this shipping address.
items_shippeddouble
The number of items that have been shipped.
items_totaldouble
The total number of items in the order.
last_namestring
order_idinteger
ID of the order.
phonestring

Recipient’s telephone number.

shipping_methodstring
Text code identifying the BigCommerce shipping module selected by the customer.
shipping_quotesobjectRead-only
shipping_zone_iddouble
Numeric ID of the shipping zone.
shipping_zone_namestring
Name of the shipping zone.
statestring
street_1string

Street address (first line).

street_2string

Street address (second line).

zipstring
Zip or postal code, as a string.

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.